/******************************************************************************
;  *    @MCU                 : MC51F8124
;  *    @Create Date         : 2022.08.26
;  *    @Author/Corporation  : sinomcu.com_FAE
;  *    @΢֧QQ     : 2048615934
;  *    @΢           : http://www.sinomcu.com/
;  *    @Copyright           : 2022 sinomcu.com Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *                       
                      timer0 ʽ0 ʱ2ms 
******************************************************************************/
#include "TIMER.h"

/************************************************
;  *    @Function Name       : Timer0_Init
;  *    @Description         : T0
;  *    @IN_Parameter        :
;  *    @Return parameter    :
;  ***********************************************/
void Timer0_Init(void)
{
    TMOD = 0x00;      //ڲʱ  ʽ0
    TCON = 0x00;
    TCON1 = 0x03; //FT0=FSYS/16 ֹIOת
    TR0 = 0;      //Ƕд TLx/THx ֵֹͣ(TR0=0;)
    TL0 = 0x18;   //5λ  8λ    1ms 8192-1000=7192 /1 1100 000/1 1000
    TH0 = 0xE0;   //дʱȶдLH

    IPH = 0x00;   //жϵȼ1()
    T0IE = 1;   
    EA = 1;       //жʹλ
    TR0 = 1;      //T0
}

void Timer0_ISR(void) interrupt T0_IRQn
{
    SFR_INTERRUPT_BUFF_BIT_T0 = SFRSL0;     //жϻSFR
                //л0ҳĴ   

    SFRSL0=0;   
    TR0 = 0;    //Ƕд TLx/THx ֵֹͣ(TR0=0;)
    TL0 = 0x18; //5λ   8λ
    TH0 = 0xE0; //дʱȶдLH
        
    FLAG_TIMER0_2ms = 1;
    TR0 = 1;

    SFRSL0 = SFR_INTERRUPT_BUFF_BIT_T1; //˳жϻԭSFR
}

/**************************** end of file *********************************************/







